TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsNilpotent ( grp^abl G ) -> elt-alg^boo

### Description

<shortdoc> Return `TRUE' iff `G' is nilpotent, i.e. if the lower central series terminates finitely and `[G^(i-1),G] =: G^i = {e}'.
Abelian groups are apparently nilpotent. </shortdoc>

### Examples

x_A := AbelianGroup([2,3,5]); IsNilpotent(x_A);
x_F := FreeAbelianGroup(2); IsNilpotent(x_F);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack